package com.ygtx.emcs.activity.model;

import java.io.Serializable;
import java.math.BigDecimal;

public class StockLineModel implements Serializable {
    private Long lineId;
    private Long instockId;
    private Long outstockId;
    private Long itemId;
    private String itemCode;
    private String itemName;
    private String batchCode;
    private String quantity;
    private String itemQuantity;
    private String boxCode;
    private String specification;
    private String unitOfMeasure;
    private String status;
    private String selStatus;
    private String checkStatus;
    private String checkUser;
    private String areaCode;
    private Long areaId;
    private BigDecimal packageNum;
    private BigDecimal totalPackage;
    private BigDecimal orderQuantity;
    public BigDecimal perBag;
    public BigDecimal bagNum;
    private String automatic;
    private String ckType;
    private String isSplit;
    private String erpBatchCode;
    private Integer outMode;
    private String outCheck;
    private String sel;
    private BigDecimal boxItemQuantity;


    public Long getLineId() {
        return lineId;
    }

    public void setLineId(Long lineId) {
        this.lineId = lineId;
    }

    public Long getItemId() {
        return itemId;
    }

    public void setItemId(Long itemId) {
        this.itemId = itemId;
    }

    public String getItemCode() {
        return itemCode;
    }

    public void setItemCode(String itemCode) {
        this.itemCode = itemCode;
    }

    public String getQuantity() {
        return quantity;
    }

    public void setQuantity(String quantity) {
        this.quantity = quantity;
    }

    public String getBoxCode() {
        return boxCode;
    }

    public void setBoxCode(String boxCode) {
        this.boxCode = boxCode;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public String getSpecification() {
        return specification;
    }

    public void setSpecification(String specification) {
        this.specification = specification;
    }

    public String getUnitOfMeasure() {
        return unitOfMeasure;
    }

    public void setUnitOfMeasure(String unitOfMeasure) {
        this.unitOfMeasure = unitOfMeasure;
    }

    public String getItemQuantity() {
        return itemQuantity;
    }

    public void setItemQuantity(String itemQuantity) {
        this.itemQuantity = itemQuantity;
    }

    public String getCheckStatus() {
        return checkStatus;
    }

    public void setCheckStatus(String checkStatus) {
        this.checkStatus = checkStatus;
    }

    public String getCheckUser() {
        return checkUser;
    }

    public void setCheckUser(String checkUser) {
        this.checkUser = checkUser;
    }

    public String getSelStatus() {
        return selStatus;
    }

    public void setSelStatus(String selStatus) {
        this.selStatus = selStatus;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public Long getAreaId() {
        return areaId;
    }

    public void setAreaId(Long areaId) {
        this.areaId = areaId;
    }

    public String getBatchCode() {
        return batchCode;
    }

    public void setBatchCode(String batchCode) {
        this.batchCode = batchCode;
    }

    public BigDecimal getPackageNum() {
        return packageNum;
    }

    public void setPackageNum(BigDecimal packageNum) {
        this.packageNum = packageNum;
    }

    public BigDecimal getTotalPackage() {
        return totalPackage;
    }

    public void setTotalPackage(BigDecimal totalPackage) {
        this.totalPackage = totalPackage;
    }

    public BigDecimal getOrderQuantity() {
        return orderQuantity;
    }

    public void setOrderQuantity(BigDecimal orderQuantity) {
        this.orderQuantity = orderQuantity;
    }

    public BigDecimal getPerBag() {
        return perBag;
    }

    public void setPerBag(BigDecimal perBag) {
        this.perBag = perBag;
    }

    public BigDecimal getBagNum() {
        return bagNum;
    }

    public void setBagNum(BigDecimal bagNum) {
        this.bagNum = bagNum;
    }

    public String getAutomatic() {
        return automatic;
    }

    public void setAutomatic(String automatic) {
        this.automatic = automatic;
    }

    public Long getInstockId() {
        return instockId;
    }

    public void setInstockId(Long instockId) {
        this.instockId = instockId;
    }

    public String getCkType() {
        return ckType;
    }

    public void setCkType(String ckType) {
        this.ckType = ckType;
    }

    public String getIsSplit() {
        return isSplit;
    }

    public void setIsSplit(String isSplit) {
        this.isSplit = isSplit;
    }

    public Long getOutstockId() {
        return outstockId;
    }

    public void setOutstockId(Long outstockId) {
        this.outstockId = outstockId;
    }

    public String getErpBatchCode() {
        return erpBatchCode;
    }

    public void setErpBatchCode(String erpBatchCode) {
        this.erpBatchCode = erpBatchCode;
    }

    public Integer getOutMode() {
        return outMode;
    }

    public void setOutMode(Integer outMode) {
        this.outMode = outMode;
    }

    public String getOutCheck() {
        return outCheck;
    }

    public void setOutCheck(String outCheck) {
        this.outCheck = outCheck;
    }

    public String getSel() {
        return sel;
    }

    public void setSel(String sel) {
        this.sel = sel;
    }

    public BigDecimal getBoxItemQuantity() {
        return boxItemQuantity;
    }

    public void setBoxItemQuantity(BigDecimal boxItemQuantity) {
        this.boxItemQuantity = boxItemQuantity;
    }
}
